"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
exports.default = ({ btns, onClick, selected: pSelected, }) => {
    const [selected, setSelected] = react_1.default.useState(pSelected);
    const [loading, setLoading] = react_1.default.useState(false);
    const handleClick = (v) => {
        onClick(v).then((_res) => {
            setSelected(v);
            setLoading(false);
        });
        setLoading(true);
    };
    return (react_1.default.createElement("div", { className: "btn-group", role: "group" }, btns.map((btn, i) => {
        const className = "btn btn-" + (selected === btn.id ? "primary" : "secondary");
        return (react_1.default.createElement("button", { disabled: loading, key: i, type: "button", className: className, onClick: () => handleClick(btn.id) }, btn.name));
    })));
};
