"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const form_1 = __importDefault(require("../form"));
const wrapper_1 = __importDefault(require("../wrapper"));
const input_1 = __importDefault(require("./input"));
const GenericFrom = ({ data, structure, errors: pErrors = {}, onSubmit, }) => {
    const [form, setForm] = react_1.default.useState(data);
    const [errors, setErrors] = react_1.default.useState(pErrors);
    const handleSubmit = async () => {
        try {
            await onSubmit(form);
        }
        catch (err) {
            console.log(err);
            setErrors(err);
        }
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(form_1.default, { onSubmit: () => handleSubmit() },
            structure.map((structureUnit, i) => {
                const inputErrors = errors && errors[structureUnit.name];
                return (react_1.default.createElement(wrapper_1.default, { key: i, label: structureUnit.label, errors: inputErrors },
                    react_1.default.createElement(input_1.default, { type: structureUnit.type || "string", value: form[structureUnit.name] || "", onChange: (value) => setForm({ ...form, [structureUnit.name]: value }), options: structureUnit.options, errors: inputErrors })));
            }),
            react_1.default.createElement(wrapper_1.default, null,
                react_1.default.createElement("button", { type: "submit", className: "btn btn-primary" }, "Submit")))));
};
exports.default = GenericFrom;
