/// <reference types="react" />
import * as T from "./type";
interface InputProps<A> {
    onChange: (v: A) => void;
    value?: A;
    errors?: string[];
}
interface SelectProps<A> extends InputProps<A> {
    options?: {
        id: number;
        name: string;
    }[];
}
declare const GenericInput: <A>({ type, onChange, value, options, errors, }: {
    type: T.TypeUnit;
} & SelectProps<A>) => JSX.Element;
export default GenericInput;
