"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Provider = void 0;
const react_1 = __importDefault(require("react"));
const context_1 = __importDefault(require("./context"));
const toast_1 = __importDefault(require("./toast"));
const banner_1 = __importDefault(require("./banner"));
const type_1 = require("./type");
const Provider = ({ children }) => {
    const [notifications, setNotifications] = react_1.default.useState([]);
    const rmNotification = (idx) => {
        const ts = notifications.filter((_x, j) => j !== idx);
        setNotifications(ts);
    };
    const addToast = (t) => setNotifications([...notifications, t]);
    const banners = notifications
        .filter(x => x.type === type_1.NotificationType.banner)
        .map(x => {
        return { text: x.text };
    });
    return (react_1.default.createElement(context_1.default.Provider, { value: { setNotification: addToast, rmNotification, notifications } },
        react_1.default.createElement(banner_1.default, null),
        children,
        react_1.default.createElement(toast_1.default, null)));
};
exports.Provider = Provider;
exports.default = exports.Provider;
