"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
const U = __importStar(require("./utils"));
const Nav = ({ navs }) => (react_1.default.createElement("ul", { className: "nav nav-tabs" }, navs.map((nav, i) => {
    const { pathname } = react_router_dom_1.useLocation();
    const isSelected = U.getIsSelected(pathname, nav.path, navs);
    return (react_1.default.createElement("li", { key: i, className: "nav-item" },
        react_1.default.createElement(react_router_dom_1.Link, { className: `nav-link ${isSelected ? "active" : ""}`, to: nav.path }, nav.label)));
})));
const Router = ({ navs }) => (react_1.default.createElement(react_router_dom_1.Switch, null, navs.map((l, i) => (react_1.default.createElement(react_router_dom_1.Route, { key: i, path: l.path, component: l.Component })))));
exports.default = ({ navs, urlPrefix = "", }) => {
    const list = navs.map((x) => {
        const path = U.toHref(x, urlPrefix);
        return { path, ...x };
    });
    // for the router, sort by path length, to start with the longest to the shortest path to avoid path confusion then and no need to use `exact=true`
    // the [...] is needed to avoid interfering with the other components, ie a copy is necessary
    const listRouter = [...list].sort((a, b) => b.path.length - a.path.length);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Nav, { navs: list }),
        react_1.default.createElement(Router, { navs: listRouter })));
};
